Search NASA⌕ Search

Engineering topics

Mu, Lin

Publications and source records attributed to Mu, Lin.

ASGarD: Adaptive Sparse Grid Discretization

Many areas of science exhibit physical processes that are described by high dimensional partial differential equations (PDEs), e.g., the 4D, 5D and 6D models describing magnetized fusion plasmas, models describing quantum chemistry, or derivatives pricing. Such problems are affected by the so-called “curse of dimensionality” where the number of degrees of freedom (or unknowns) required to be solved for scales as N D where N is the number of grid points in any given dimension D. A simple, albeit naive, 6D example is demonstrated in the left panel of Figure 1. With N = 1000 grid points in each dimension, the memory required just to store the solution vector, not to mention forming the matrix required to advance such a system in time, would exceed an exabyte - and also the available memory on the largest of supercomputers available today. The right panel of Figure 1 demonstrates potential savings for a range of problem dimensionalities and grid resolution. While there are methods to simulate such high-dimensional systems, they are mostly based on Monte-Carlo methods, which rely on a statistical sampling such that the resulting solutions include noise. Since the noise in such methods can only be reduced at a rate proportional to $\sqrt{N_p}$ where N p is the number of Monte-Carlo samples, there is a need for continuum, or grid/mesh-based methods for high-dimensional problems, which both do not suffer from noise and bypass the curse of dimensionality. We present a simulation framework that provides such a method using adaptive sparse grids.

97 MATHEMATICS AND COMPUTING↗

An Efficient High-Order Solver for Diffusion Equations with Strong Anisotropy on Non-Anisotropy-Aligned Meshes

This paper concerns numerical solution of the diffusion equation with strong anisotropy on meshes not aligned with the anisotropic vector field. In order to resolve the numerical pollution for simulations on a non-anisotropy-aligned mesh and reduce the associated high computational cost we propose an effective preconditioner, extending our previous work. Similar to the anisotropy-aligned mesh case, we apply the auxiliary space preconditioning framework to design a preconditioner where a continuous finite element space is used as the auxiliary space for the discontinuous finite element space. The key component is an effective line smoother that can mitigate the high-frequency errors perpendicular to the magnetic field. We design a graph-based approach to find such a line smoother that is approximately perpendicular to the vector fields when the mesh does not align with the anisotropy. Finally, numerical experiments for several benchmark problems are presented, demonstrating the effectiveness and robustness of the proposed preconditioner when applied to Krylov iterative methods.

97 MATHEMATICS AND COMPUTING↗

An efficient high-order numerical solver for diffusion equations with strong anisotropy

In this paper, we present an interior penalty discontinuous Galerkin finite element scheme for solving diffusion problems with strong anisotropy arising in magnetized plasmas for fusion applications. Additionally, we demonstrate the accuracy produced by the high-order scheme and develop an efficient preconditioning technique to solve the corresponding linear system, which is robust to the mesh size and anisotropy of the problem. Several numerical tests are provided to validate the accuracy and efficiency of the proposed algorithm.

97 MATHEMATICS AND COMPUTING↗

A non‐intrusive domain‐decomposition model reduction method for linear steady‐state partial differential equations with random coefficients

Abstract Domain decomposition methods have been proved to be an effective strategy to reduce the dimension of parametric partial differential equations (PDEs). However, existing domain decomposition methods for parametric PDEs are usually intrusive, which means domain decomposition based solvers need to be implemented from scratch for each target parametric PDE. To address this issue, we develop a new non‐intrusive domain‐decomposition model reduction method for linear steady‐state PDEs with random‐field coefficients. As a variant of our previous work by Mu and Zhang, the new method only needs access to the final linear system, that is, the global stiffness matrix and the right hand side, of a deterministic PDE solver, in order to build a domain‐decomposition‐based reduced model without intrusive implementation from scratch. The key idea is to remove the interface condition between sub‐domains and rely on the correlation between columns of the linear system to couple the sub‐domains. The non‐intrusive feature enables the applicability of the proposed method to a broader class of uncertainty quantification problems, where many legacy codes/solvers can be fully reused by our method. Two numerical examples including diffusion equations with random diffusivity and convection‐dominated transport with random velocity, are provided to demonstrate the effectiveness and efficiency of our method.

Zhang, Guannan↗

A WKB based preconditioner for the 1D Helmholtz wave equation

Frequency-domain full-wave solutions to the cold-plasma problem have become ubiquitous in the study of radio frequency power in fusion plasmas. However, recent efforts at extreme levels of geometric fidelity have revealed fundamental limits in the problem size that can be solved by typical sparse direct solver based methods. These limits are of particular importance in the 3D study of RF launchers, where the number of degrees of freedom required can exceed 100 million. In such cases, it would be advantageous to solve the system via iterative means, but due to the large null space of the curl-curl operator, the convergence properties of algorithms like GMRES are poor. Here we present a physics-based preconditioner in the form of a WKB solution and demonstrate the iterative solution to the frequency-domain Helmholtz problem in 1D for several cases ranging from satisfying the WKB approximation to strongly violating it.

Green, David↗

Discontinuous Galerkin sparse grids methods for time domain Maxwell’s equations

In this paper, we present a time-explicit sparse grid discontinuous Galerkin method for solving the three-dimensional time-domain Maxwell equations. The conservation properties and convergence rates are established for different choices of numerical fluxes. The convergence rates are proved theoretically and then verified by several numerical examples. Even though our scheme does not preserve the divergence, but by implying the higher order polynomial, one can observe the same convergence rate as numerical solution. Several numerical tests are presented to validate these conclusions.

73 NUCLEAR PHYSICS AND RADIATION PHYSICS↗

A Domain Decomposition Model Reduction Method for Linear Convection-Diffusion Equations with Random Coefficients

We developed a domain decomposition model reduction method for linear steady- state convection-diffusion equations with random coefficients. Of particular interest to this effort are the diffusion equation with random diffusivity and the convection-dominated transport equation with random velocity. We investigated two types of random fields, i.e., colored noises and discrete white noises, both of which can lead to high-dimensional parametric dependence in practice. The motivation is to exploit domain decomposition to reduce the parametric dimension of local problems in subdomains, such that an entire parametric map can be approximated with a small number of expensive partial differential equation (PDE) simulations. The new method combines domain decomposition with model reduction and sparse polynomial approximation, so as to simultaneously handle the high dimensionality and irregular behavior of the PDEs under consideration. Here, the advantages of our method lie in three aspects: (i) online-offline decomposition, i.e., the online cost is independent of the size of the triangle mesh; (ii) sparse approximation of operators involving nonaffine high-dimensional random fields; (iii) an effective strategy to capture irregular behaviors, e.g., sharp transitions of the PDE solutions. Two numerical examples are provided to demonstrate the advantageous performance of our method.

97 MATHEMATICS AND COMPUTING↗

Development of a P 2 element with optimal L 2 convergence for biharmonic equation

It is well known that convergence rate of finite element approximation is suboptimal in the L 2 norm for solving biharmonic equations when P 2 or Q 2 element is used. The goal of this paper is to derive a weak Galerkin (WG) P 2 element with the L 2 optimal convergence rate by assuming the exact solution sufficiently smooth. In addition, our new WG finite element method can be applied to general mesh such as hybrid mesh, polygonal mesh or mesh with hanging node. The numerical experiments have been conducted on different meshes including hybrid meshes with mixed of pentagon and rectangle and mixed of hexagon and triangle.

Mu, Lin↗

A Fully Computable A Posteriori Error Estimate for the Stokes Equations on Polytopal Meshes

Here in this paper, we present a simple a posteriori error estimate for the weak Galerkin finite element method for the Stokes equation. This residual type estimator can be applied to general meshes such as polytopal mesh or meshes with hanging nodes. The reliability and efficiency of the estimator are proved in this paper. Five numerical tests demonstrate the effectiveness and flexibility of the adaptive mesh refinement guided by the designed error estimator.

finite element methods↗

Representability of algebraic topology for biomolecules in machine learning based scoring and virtual screening

This work introduces a number of algebraic topology approaches, including multi-component persistent homology, multi-level persistent homology, and electrostatic persistence for the representation, characterization, and description of small molecules and biomolecular complexes. In contrast to the conventional persistent homology, multi-component persistent homology retains critical chemical and biological information during the topological simplification of biomolecular geometric complexity. Multi-level persistent homology enables a tailored topological description of inter- and/or intra-molecular interactions of interest. Electrostatic persistence incorporates partial charge information into topological invariants. These topological methods are paired with Wasserstein distance to characterize similarities between molecules and are further integrated with a variety of machine learning algorithms, including k-nearest neighbors, ensemble of trees, and deep convolutional neural networks, to manifest their descriptive and predictive powers for protein-ligand binding analysis and virtual screening of small molecules. Extensive numerical experiments involving 4,414 protein-ligand complexes from the PDBBind database and 128,374 ligand-target and decoy-target pairs in the DUD database are performed to test respectively the scoring power and the discriminatory power of the proposed topological learning strategies. It is demonstrated that the present topological learning outperforms other existing methods in protein-ligand binding affinity prediction and ligand-decoy discrimination.

Biochemistry & Molecular Biology↗